use<Write.scad>

// nombre de facettes sur le pourtour
$fn = 100;

module openscad(ray1, ray2, ht) {
  difference() {
    scale([ray1, ray2, ht]) {
      cylinder(r=1, h=1, center=false);
    }
    translate([-40, -6, -2]) {
      write("OpenSca", h=15, t=10, font="Letters.dxf", space = 1.2);
    }
  }
  translate([45, -6, 0]) {
    write("d", h=15, t=5, font="Letters.dxf", space = 1.2);
  }
}

// générer avec F6
projection() {
  openscad(50, 20, 5);
}
